package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelTicketTransfer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.param.ChannelTicketTransferParam;

/**
 * <p>
 * 经销商盲票转让信息表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-04-21
 */
public interface IChannelTicketTransferService extends IService<ChannelTicketTransfer> {


    /**
     * 转让盲票
     * @param transferChannelId     转让人id
     * @param channelTicketTransferParam        转让参数
     * @return
     */
    boolean transferTicket(Long transferChannelId, ChannelTicketTransferParam channelTicketTransferParam);

}
